locked
Can't get Blend 4 up to date RRS feed

  • Question

  • When I create a new Windows Phone project in Blend, I can't select the phone OS version (7.0 / 7.1). On another machine I can. The versions of Blend are different:

    • Not working: 4.0.20901
    • Working: 4.0.30816

    Both are Blend Premium. I've tried reinstalling Blend SP1 and the Windows Phone SDK 7.1 (and the 7.1.1 update) several times, no luck.

    How can I resolve this?

    Thursday, August 30, 2012 10:33 AM

All replies

  • You are correct about the version being wrong, the 4.0.20901 is the version that supports only WP7.0. The version was updated to 4.0.30816 when support for WP7.1 was added. The installer can be found on this page:

    https://dev.windowsphone.com/en-us/downloadsdk

    If that isn't working for you, you might have to uninstall Blend on that machine and try it again.

    Thursday, August 30, 2012 3:10 PM
    Moderator
  • I've tried reinstalling the SDK several times. What would you suggest I do?

      • Uninstall Blend
      • Reinstall Blend
      • Reinstall Windows Phone SDK 7.1
      • Reinstall Windows Phone SDK 7.1.1 update

    Correct?

    Thursday, August 30, 2012 3:58 PM
  • That seems right, if that doesn't work, could you skip the "reinstall blend" step? You should end up with the same config in the end. The currently installed licenses for Blend should remain even when you uninstall.

    If that doesn't work, could you email me your contact info at first.last@microsoft.com (using my name) and I can try to get you in touch with someone who can get logs from you to determine what is going wrong?

    Thursday, August 30, 2012 3:59 PM
    Moderator
  • Ok something weird happened: I uninstalled Blend, reinstalled the 7.1 SDK and it said it failed, but somehow Blend is back now with the correct version? Anyway, seems to work now, thanks!
    Thursday, August 30, 2012 4:34 PM